###################################################################
# CONFIGURATION OPTIONS
###################################################################
# Every item has a default value besides MIRRORS (which is unset).

# Use aptitude, apt-get, or apt?
# Note that apt-get is used as a fallback for outputting the
# package URI list for e.g. aptitude, which can't do this
# Optionally add the FULLPATH to apt-get or apt-rpm or aptitude
# e.g. /usr/bin/aptitude
#
# Default: apt-get
#
_APTMGR=/usr/bin/apt


####
#
# UOS sources auth config
#
#
#if grep -Eqi "UnionTech" /etc/issue || grep -Eq "UnionTech" /etc/*-release;then
#AUTH_UOS_USER="uos-https://license.chinauos.com-apt"
#AUTH_UOS_PASSWD="`cat /etc/apt/auth.conf.d/uos.conf  | grep home-packages.chinauos.com`"
#AUTH_UOS_PASSWD=`echo ${AUTH_UOS_PASSWD#*password }`

#fi

##### UOS自动读取账号密码以实现使用aptss来加速下载。不支持专业版，可能导致错误，去除

# Enable DOWNLOADBEFORE to suppress apt-fast confirmation dialog and download
# packages directly.
#
# Default: dialog enabled
#
#DOWNLOADBEFORE=true

_MAX_RETRY=1
# Choose mirror list to speed up downloads from same archive. To select some
# mirrors take a look at your distribution's archive mirror lists.
# Debian: http://www.debian.org/mirror/list
# Ubuntu: https://launchpad.net/ubuntu/+archivemirrors
#
# It is required to add mirrors in the sources.list to this array as well, so
# apt-fast can destinguish between different distributions.
#
# Examples:
#
# Different distributions (as in operating systems):
#
# sources.list:
# deb http://deb.debian.org/debian/ unstable main non-free contrib
# deb http://de.archive.ubuntu.com/ubuntu/ bionic main universe
#
# apt-fast.conf:
# MIRRORS=( 'http://deb.debian.org/debian','http://ftp.debian.org/debian,http://ftp2.de.debian.org/debian,http://ftp.de.debian.org/debian,ftp://ftp.uni-kl.de/debian'
#           'http://archive.ubuntu.com/ubuntu,http://de.archive.ubuntu.com/ubuntu,http://ftp.halifax.rwth-aachen.de/ubuntu,http://ftp.uni-kl.de/pub/linux/ubuntu,http://mirror.informatik.uni-mannheim.de/pub/linux/distributions/ubuntu/' )
#
#
# Single distribution:
#
# sources.list:
# deb http://fr.archive.ubuntu.com/ubuntu/ bionic main
# deb http://fr.archive.ubuntu.com/ubuntu/ artful main
#
# apt-fast.conf:
# MIRRORS=( 'http://fr.archive.ubuntu.com/ubuntu,http://bouyguestelecom.ubuntu.lafibre.info/ubuntu,http://mirror.ovh.net/ubuntu,http://ubuntu-archive.mirrors.proxad.net/ubuntu' )
#
# Default: disabled
#

### Here we adjusted aptss source. The first element in this array will not be used as sources to connect.
# 原始默认镜像源定义 (第一个元素仅占位，不用于连接)
MIRRORS=(
'https://d.spark-app.store/,https://erotica.spark-app.store/,https://mirrors.sdu.edu.cn/spark-store/,http://223.99.62.141:28763/,http://58.57.6.5:28764/,http://58.57.6.62:28765/,https://sparks.opkg.cn/d/cn/,https://mirror.sunnypai.top/spark/,https://piercing.spark-app.store/'
'https://community-packages.deepin.com/beige/,https://community-packages.deepin.com/deepin/beige/,https://mirrors.zju.edu.cn/deepin/beige/,https://mirrors.ustc.edu.cn/deepin/beige/,https://mirrors.tuna.tsinghua.edu.cn/deepin/beige/,https://mirrors.cqupt.edu.cn/deepin/beige/'
'https://mirrors.tuna.tsinghua.edu.cn/,https://mirrors.tuna.tsinghua.edu.cn/,https://mirrors.cernet.edu.cn/,https://mirrors.ustc.edu.cn/,https://mirrors.sdu.edu.cn/,https://mirrors.zju.edu.cn/,https://mirror.sjtu.edu.cn/,https://mirrors.aliyun.com/,https://mirror.iscas.ac.cn/'
'https://mirrors.cernet.edu.cn/,https://mirrors.cernet.edu.cn/,https://mirrors.ustc.edu.cn/,https://mirrors.ustc.edu.cn/,https://mirrors.sdu.edu.cn/,https://mirrors.zju.edu.cn/,https://mirror.sjtu.edu.cn/,https://mirrors.aliyun.com/,https://mirror.iscas.ac.cn/'
'https://repo.gxde.top/,https://repo.gxde.top/,https://mirror.nyist.edu.cn/GXDE/,https://mirrors.hit.edu.cn/GXDE/,https://mirrors.sdu.edu.cn/GXDE/,https://mirror.sunnypai.top/gxde/'
)

# https://cn.mirror.uniartisan.com:8443/,http://mirror.uniartisan.com/,https://mirror.sunnypai.top/spark-store/,

# 
# Maximum number of connections(Download this number of package in the same time)
# You can use this value in _DOWNLOADER command. Escape with ${}: ${_MAXNUM}
#
# Default: 5
#
_MAXNUM=5


# Maximum number of connections per server
# Default: 10
#
_MAXCONPERSRV=1


# Maximum number of split. Default is 5. Set to 8 to download from more servers.

_SPLITCON=8


# Split size i.e. size of each piece
# Possible Values: 1M-1024M
#
_MINSPLITSZ=1M


# Piece selection algorithm to use
# Available values are: default, inorder, geom
# default: selects piece so that it reduces the number of establishing connection, reasonable for most cases
# inorder: selects pieces in sequential order starting from first piece
# geom: selects piece which has minimum index like inorder, but it exponentially increasingly keeps space from previously selected pieces
#
_PIECEALGO=default


# Downloadmanager listfile
# You can use this value in _DOWNLOADER command. Escape with ${}: ${DLLIST}
#
# Default: /tmp/apt-fast.list
# 这里不使用配置文件指定，因为ACE方案的要避免和主机冲突
# DLLIST='/tmp/apt-fast.list'


# Download command to use. Temporary download list is designed for aria2. But
# you can choose another download command or download manager. It has to
# support following input file syntax (\t is tab character):
#
# # Comment
# MIRROR1\tMIRROR2\tMIRROR3...
#  out=FILENAME1
# MIRROR1\tMIRROR2\tMIRROR3...
#  out=FILENAME2
# ...
#
# Examples:
# aria2c with a proxy (set username, proxy, ip and password!)
# _DOWNLOADER='aria2c --no-conf -c -j ${_MAXNUM} -x ${_MAXCONPERSRV} -s ${_SPLITCON} --min-split-size=${_MINSPLITSZ} --stream-piece-selector=${_PIECEALGO} --http-proxy=http://username:password@proxy_ip:proxy_port -i ${DLLIST}'
#
# Default: _DOWNLOADER='aria2c --no-conf -c -j ${_MAXNUM} -x ${_MAXCONPERSRV} -s ${_SPLITCON} --min-split-size=${_MINSPLITSZ} --stream-piece-selector=${_PIECEALGO} -i ${DLLIST} --connect-timeout=600 --timeout=600 -m0'
#
# 不再给UOS输密码了
#_DOWNLOADER='aria2c --no-conf -c -j ${_MAXNUM} -x ${_MAXCONPERSRV}  --min-split-size=${_MINSPLITSZ}  --stream-piece-selector=${_PIECEALGO} -i ${DLLIST} --connect-timeout=60 --timeout=600 -m0 --http-user ${AUTH_UOS_USER} --http-passwd ${AUTH_UOS_PASSWD}'
_DOWNLOADER='aria2c --no-conf -s ${_SPLITCON} -c -j ${_MAXNUM} -x ${_MAXCONPERSRV}  --min-split-size=${_MINSPLITSZ}  --stream-piece-selector=${_PIECEALGO} -i ${DLLIST} --connect-timeout=30 --timeout=40 --max-tries=${_MAX_RETRY} --async-dns=false --check-certificate=false --user-agent=aptss/4.x' 


# Download temp folder for Downloadmanager
# example /tmp/apt-fast. Standard is /var/cache/apt-fast
#
# Default: /var/cache/apt/apt-fast
#
DLDIR='/var/cache/apt/apt-fast'


# APT archives cache directory
#
# Default /var/cache/apt/archives
# (APT configuration items Dir::Cache and Dir::Cache::archives)
#
APTCACHE='/var/cache/apt/archives'


# apt-fast colors
# Colors are disabled when not using a terminal.
#
# Default colors are:
#  cGreen='\e[0;32m'
#  cRed='\e[0;31m'
#  cBlue='\e[0;34m'
#  endColor='\e[0m'
